Instrument classes
Data model
Instrument Class
namestring, requiredDisplay name of the instrument class.
Instrument Class Detailed
namestring, requiredDisplay name of the detailed instrument class.
Relationships:
instrumentClass: The instrument class that the detailed instrument class belongs to.
GET
Retrieve a class
Fetch the instrument class with the given id.
Parameters
idpath, requiredInstrument class identifier.
Request
GET
GET /api/v3/instrument-classes/5e6a90cf921d8b1874c32ed5 HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: api.aleta.ai
Response
HTTP/1.1 200 OK
Content-Type: application/vnd.api+json
{
"data": {
"id": "f2d93a1df9ffeb8aa6c140be",
"type": "instrument-class",
"attributes": {
"name": "Equities"
}
}
}
GET
Retrieve a detailed class
Fetch the detailed instrument class with the given id.
Parameters
idpath, requiredDetailed instrument class identifier.
Request
GET
GET /api/v3/instrument-classes-detailed/5e6a90cf921d8b1874c32ed5 HTTP/1.1
Accept: application/vnd.json+api
Authorization: Bearer <access token>
Host: api.aleta.ai
Response
HTTP/1.1 200 OK
Content-Type: application/vnd.api+json
{
"data": {
"id": "68c280b298f321781b449771",
"type": "instrument-class-detailed",
"attributes": {
"name": "Equities - American"
},
"relationships": {
"instrumentClass": {
"data": {
"type": "instrument-class",
"id": "f2d93a1df9ffeb8aa6c140be"
}
}
}
}
}